Bug 496505 - ath9k can not connect to hidden networks
ath9k can not connect to hidden networks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 14:51 EDT by Fabian Deutsch
Modified: 2009-06-01 14:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 14:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (6.35 KB, text/plain)
2009-04-19 14:59 EDT, Fabian Deutsch
no flags Details

  None (edit)
Description Fabian Deutsch 2009-04-19 14:51:12 EDT
Description of problem:
When trying to connect my MacBook 2.1 to a hidden wireless wpa2 secured linksys wpa54g network this will not work.

Version-Release number of selected component (if applicable):
Latest rawhide kernel 2.6.29-68.fc11.i586

How reproducible:
Everytime

Steps to Reproduce:
1. Setup your WPA54G using WPA2 with hidden BSSID
2. Use a rawhide kernel
3. Use NM to setup the network
  
Actual results:
Connection can not be established

Expected results:
Secure connection to the AP

Additional info:
This problem did not occur on the previous kernel.
The connection can be established when using the same encryption but no hidden bssid.
Comment 1 Fabian Deutsch 2009-04-19 14:59:03 EDT
Created attachment 340251 [details]
lspci -v
Comment 2 John W. Linville 2009-04-27 11:23:53 EDT
Do you happen to have access to any other hardware that uses mac80211-based drivers?  If so, could you try using those to access the hidden SSID network?

Could you try a wireless-testing kernel (with ath9k) as well?

   git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-testing.git

Does that work any better than the rawhide kernel?
Comment 3 Fabian Deutsch 2009-05-02 09:04:04 EDT
Currently I can not test it with a different hardware. I'll try to get the test with the different kernel done ...
Comment 4 Serge V Shistarev 2009-05-02 09:33:45 EDT
I'm experiencing same kind of problem on Ubuntu 9.04 2.6.28-11-generic
Network controller (lspci -v): Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01) Subsystem: Device 1a3b:1067, module = ath9k

On Ubuntu 8.10 Intrepid (2.6.24-21-generic) it worked fine on same AP (with same settings)
Comment 5 kevin.trautwein 2009-05-16 20:14:30 EDT
I have similar issues with my laptop using the ath9k wireless card with Fedora 10. It would connect sporadically and fail to connect quite often after a cold boot. Restarting NetworkManager didn't help most of the time.

In a RedHat class last week we removed the ath9k module with the modprobe -r ath9k command and reloaded it afterwards with modprobe ath9k and then it would connect just fine.

Thought I would add to this report in case this info helps at all.
Comment 6 Luis R. Rodriguez 2009-06-01 14:37:00 EDT
Please report back on how it went with wireless-testing or compat-wireless:

http://wireless.kernel.org/en/users/Download
Comment 7 kevin.trautwein 2009-06-01 14:42:47 EDT
Hello again,

My problem was resolved after moving to Fedora 11 pre-release.
Comment 8 Luis R. Rodriguez 2009-06-01 14:47:19 EDT
Thanks, please close the bug report.

Note You need to log in before you can comment on or make changes to this bug.